Create a new group connection in an existing group
curl --request POST \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"group_data": {
"carrier_group_id": "10000000"
}
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections"
payload = {
"carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"group_data": { "carrier_group_id": "10000000" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
carrier_id: '8fac0992-933a-4743-8dab-0d606ef2569e',
group_data: {carrier_group_id: '10000000'}
})
};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'carrier_id' => '8fac0992-933a-4743-8dab-0d606ef2569e',
'group_data' => [
'carrier_group_id' => '10000000'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections"
payload := strings.NewReader("{\n \"carrier_id\": \"8fac0992-933a-4743-8dab-0d606ef2569e\",\n \"group_data\": {\n \"carrier_group_id\": \"10000000\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"carrier_id\": \"8fac0992-933a-4743-8dab-0d606ef2569e\",\n \"group_data\": {\n \"carrier_group_id\": \"10000000\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"carrier_id\": \"8fac0992-933a-4743-8dab-0d606ef2569e\",\n \"group_data\": {\n \"carrier_group_id\": \"10000000\"\n }\n}"
response = http.request(request)
puts response.read_body{
"carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"created": 1557329939,
"group_data": {
"carrier_group_id": "10000000"
},
"group_id": "47c07963-2e34-4da2-86b4-cbc3c57111c1",
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"modified": 1557329939,
"organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
"request_type": "incremental",
"status": "created",
"version": "9906b5d2-e76d-4bad-ba4c-8ce90b6b867b"
}Connections
Create Group Connection with Existing Group
Create a new carrier connection for an existing group
POST
/
api
/
v1
/
groups
/
{group_id}
/
group_connections
Create a new group connection in an existing group
curl --request POST \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"group_data": {
"carrier_group_id": "10000000"
}
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections"
payload = {
"carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"group_data": { "carrier_group_id": "10000000" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
carrier_id: '8fac0992-933a-4743-8dab-0d606ef2569e',
group_data: {carrier_group_id: '10000000'}
})
};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'carrier_id' => '8fac0992-933a-4743-8dab-0d606ef2569e',
'group_data' => [
'carrier_group_id' => '10000000'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections"
payload := strings.NewReader("{\n \"carrier_id\": \"8fac0992-933a-4743-8dab-0d606ef2569e\",\n \"group_data\": {\n \"carrier_group_id\": \"10000000\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"carrier_id\": \"8fac0992-933a-4743-8dab-0d606ef2569e\",\n \"group_data\": {\n \"carrier_group_id\": \"10000000\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/groups/{group_id}/group_connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"carrier_id\": \"8fac0992-933a-4743-8dab-0d606ef2569e\",\n \"group_data\": {\n \"carrier_group_id\": \"10000000\"\n }\n}"
response = http.request(request)
puts response.read_body{
"carrier_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"created": 1557329939,
"group_data": {
"carrier_group_id": "10000000"
},
"group_id": "47c07963-2e34-4da2-86b4-cbc3c57111c1",
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"modified": 1557329939,
"organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
"request_type": "incremental",
"status": "created",
"version": "9906b5d2-e76d-4bad-ba4c-8ce90b6b867b"
}Authorizations
Path Parameters
Body
application/json
Response
201 - application/json
Successful Response - Returns the new Group Connection
Was this page helpful?
